<?php
//Main Coach Page, Written by Joseph Davy
session_start();

if(isset($_SESSION['id']) && isset($_SESSION['coach'])) //if the id is set and the coach's name is set
{
    //the coach is signed in, so connect to the database and create the website
    $C_ID = $_SESSION['id']; //get the coaches id
    $servername = "diederich.knight.domains"; //server name 
    $username = "diederic_davyjr"; //My Username
    $password = "Kitty101!?"; //Database Password
    $dbname = "diederic_StudentAthleteData"; //Database Name
    
    // Create connection
    $conn = new mysqli($servername, $username, $password, $dbname);
    // Check connection
    if ($conn->connect_error) 
    {
      exit("Connection failed: " . $conn->connect_error);
    }
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="Coach Website to view Athlete Data" />
        <meta name="author" content="Joseph Davy" />
        <title>Athlete Info</title>
        
        <link type="text/css" href="styles.css" rel="stylesheet" />
        <script src="https://use.fontawesome.com/releases/v6.3.0/js/all.js" crossorigin="anonymous"></script>
        <!-- Bootstrap links -->
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
        <!-- End of Bootstrap links -->

        <!-- jQuery links -->
        <script src="https://code.jquery.com/jquery-3.4.1.min.js"></script> 
        <!-- End of jQuery links -->
    </head>
    <body class="sb-nav-fixed">
        <nav class="sb-topnav navbar navbar-expand navbar-dark bg-dark">
            <!-- Navbar Brand-->
            <a class="navbar-brand ps-3" href="info_page.php?welcome=1">Welcome, Coach <?php echo $_SESSION['coach']; ?> </a>
            <form class="invisible">
                <!--an invisible form to space the brand out-->
                <div class="input-group">
                    <input class="form-control" type="text" placeholder="Search for..." aria-label="Search for..." aria-describedby="btnNavbarSearch" />
                    <button class="btn btn-primary" id="btnNavbarSearch" type="button"><i class="fas fa-search"></i></button>
                </div>
            </form>
            <!-- Sidebar Toggle-->
            <button class="btn btn-link btn-sm order-1 order-lg-0 me-4 me-lg-0" id="sidebarToggle" href="#!"><i class="fas fa-bars"></i></button>
            <!-- Navbar-->
            <ul class="navbar-nav ms-auto ms-md-0 me-3 me-lg-4">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" id="navbarDropdown" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false"><i class="fas fa-user fa-fw"></i></a>
                    <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="info_page.php?add=1">Add Athlete</a></li>
                        <li><a class="dropdown-item" href="info_page.php?drop=1">Drop Athlete</a></li>
                        <li><a class="dropdown-item" href="mailto: fa22csci322A@snc.edu">Send Notification</a></li>
                        <li><hr class="dropdown-divider" /></li>
                        <li><a class="dropdown-item" href="logout.php">Logout</a></li>
                    </ul>
                </li>
            </ul>
        
        </nav>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sb-sidenav accordion sb-sidenav-dark" id="sidenavAccordion">
                    <div class="sb-sidenav-menu">
                        <div class="nav">
                            <div class="sb-sidenav-menu-heading">Dates</div>
                            <form class="d-none d-md-inline-block form-inline ms-auto me-0 me-md-3 my-2 my-md-0" action="info_page.php?showdata=1" method="post">
                                <div class="input-group">
                                    <!-- Example search bar <input class="form-control" type="text" placeholder="Search for..." aria-label="Search for..." aria-describedby="btnNavbarSearch" />
                                    <button class="btn btn-primary" id="btnNavbarSearch" type="button"><i class="fas fa-search"></i></button> -->
                                    <p>
                                    <label class="label-move">Start</label>
                                    <input class="w-move" type="date" id="startdate" name="startdate" value="2023-04-16" min="2022-04-16" max="9999-99-99">
                                    </p>
                                    <p>
                                    <label class="label-move">End</label>
                                    <input class="w-move" type="date" id="enddate" name="enddate" value="2023-04-23" min="2023-04-16" max="9999-99-99">
                                    </p>
                                </div>
                            <div class="sb-sidenav-menu-heading">Concerning Values</div>
                            <div class="input-group">
                                <div class="w-move">
                                <p>  
                                    <input type="radio" name="physical" value="1" id="phys1" class="radio-move"/>
                                    <label for="phys1">
                                    1</label>
                    
                                    <input type="radio" name="physical" value="2" id="phys2" class="radio-move"/>
                                    <label for="phys2">
                                    2 </label>
                                                                
                                    <input type="radio" name="physical" value="3" id="phys3" class="radio-move"/>
                                    <label for="phys3">
                                    3 </label>
                                                            
                                    <input type="radio" name="physical" value="4" id="phys4" checked class="radio-move"/>
                                    <label for="phys4">
                                    4 </label>			
                                                    
                                    <input type="radio" name="physical" value="5" id="phys5" class="radio-move"/>
                                    <label for="phys5">
                                    5</label>
                                    <label class="label-move">Physical</label>
                                </p>
                                <p>
                                    <input type="radio" name="academic" value="1" id="acad1" class="radio-move"/>
                                    <label for="acad1">
                                    1</label>
                    
                                    <input type="radio" name="academic" value="2" id="acad2" class="radio-move"/>
                                    <label for="acd2">
                                    2 </label>
                                                                
                                    <input type="radio" name="academic" value="3" id="acad3" class="radio-move"/>
                                    <label for="acad3">
                                    3 </label>
                                                            
                                    <input type="radio" name="academic" value="4" id="acad4" checked class="radio-move"/>
                                    <label for="acad4">
                                    4 </label>			
                                                    
                                    <input type="radio" name="academic" value="5" id="acad5" class="radio-move"/>
                                    <label for="acad5">
                                    5</label>
                                    <label class="label-move">Academic</label>
                                </p>
                                <p>
                                    <input type="radio" name="perform" value="1" id="perf1" class="radio-move"/>
                                    <label for="perf1">
                                    1</label>
                    
                                    <input type="radio" name="perform" value="2" id="perf2" checked class="radio-move"/>
                                    <label for="perf2">
                                    2 </label>
                                                                
                                    <input type="radio" name="perform" value="3" id="perf3" class="radio-move"/>
                                    <label for="perf3">
                                    3 </label>
                                                            
                                    <input type="radio" name="perform" value="4" id="perf4" class="radio-move"/>
                                    <label for="perf4">
                                    4 </label>			
                                                    
                                    <input type="radio" name="perform" value="5" id="perf5" class="radio-move"/>
                                    <label for="perf5">
                                    5</label>
                                    <label class="label-move">Performance</label>
                                </p>
                                <p>
                                    <input type="radio" name="relation" value="1" id="rela1" class="radio-move"/>
                                    <label for="rela1">
                                    1</label>
                    
                                    <input type="radio" name="relation" value="2" id="rela2" class="radio-move"/>
                                    <label for="rela2">
                                    2 </label>
                                                                
                                    <input type="radio" name="relation" value="3" id="rela3" class="radio-move"/>
                                    <label for="rela3">
                                    3 </label>
                                                            
                                    <input type="radio" name="relation" value="4" id="rela4" checked class="radio-move"/>
                                    <label for="rela4">
                                    4 </label>			
                                                    
                                    <input type="radio" name="relation" value="5" id="rela5" class="radio-move"/>
                                    <label for="rela5">
                                    5</label>
                                    <label class="label-move">Relationship</label>
                                </p>
                                <p>
                                    <input type="radio" name="sleep" value="1" id="slee1" class="radio-move"/>
                                    <label for="slee1">
                                    1</label>
                    
                                    <input type="radio" name="sleep" value="2" id="slee2" class="radio-move"/>
                                    <label for="slee2">
                                    2 </label>
                                                                
                                    <input type="radio" name="sleep" value="3" id="slee3" class="radio-move"/>
                                    <label for="slee3">
                                    3 </label>
                                                            
                                    <input type="radio" name="sleep" value="4" id="slee4" checked class="radio-move"/>
                                    <label for="slee4">
                                    4 </label>			
                                                    
                                    <input type="radio" name="sleep" value="5" id="slee5" class="radio-move"/>
                                    <label for="slee5">
                                    5</label>
                                    <label class="label-move">Sleep</label><!--translates directly to hours-->
                                </p>
                                </div>  
                            </div>
                            <div class="sb-sidenav-menu-heading">Who</div>
                            <div class="input-group">
                                <div class="w-move">
                                <input type="radio" name="who" value="individual" id="indiv"/>
                                <label for="indiv">Individual</label>
                                <input type="text" name="indiv" placeholder="Enter athlete 6-letter ID here"/>
                                <div class="w-block">
                                <input type="radio" name="who" value="team" id="team" checked/>
                                <label for="team">Team</label>
                            </div>
                            </div>
                                
                            </div>
                            <div class="sb-sidenav-menu-heading">What</div>
                            <div class="input-group">
                                <div class="w-move">
                                <div class="w-block">
                                <input type="radio" name="what" value="averages" id="ave"/>
                                <label for="ave">Averages</label>
                                
                                <input type="radio" name="what" value="all" id="all" checked/>
                                <label for="all">All Data</label>
                            </div>
                            </div>
                            </div>
                            <div class="sb-sidenav-menu-heading">Consecutive Days Concerning</div>
                            <div class="input-group">
                                <div class="w-move">
                                <div class="w-block">
                                <input type="radio" name="days" value="3" id="3" checked/>
                                <label for="3"> 3 </label>
                                <input type="radio" name="days" value="4" id="4"/>
                                <label for="4"> 4 </label>
                                <input type="radio" name="days" value="5" id="5"/>
                                <label for="5"> 5 </label>
                            </div>
                            </div>
                            </div>
                            </div>
                            <br>
                            <!--<button class="btn btn-primary" type="button" id="see_data">See Data</button>-->
                            <button type="submit">See Data</button>
                        </form>
                    </div>
                </div>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <?php if(isset($_GET['welcome']))
                    {
                        //The coach is entering the page for the first time
                    ?>
                    <div class="container-fluid px-4">
                        <h1 class="mt-4">Welcome!</h1>
                    </div>
                    <?php }
                    else if(isset($_GET['add']))
                    {
                        //the coach wants to add an athlete to the team database.
                     ?>
                     <div class="container-fluid px-4 pad">
                        <form action="info_page.php" method="get" class="centerForm">
                            <label>Sport</label>
                            <input type="text" name="sport">
                            <br>
                            <label>Athlete 6-letter ID</label>
                            <input type="text" name="a_id">
                            <br>
                            <button type="submit">Add Athlete</button>
                            <br>
                            <a href="info_page.php?restore=1">Restore Inactive Athlete</a>
                        </form>
                    </div>
                    <?php }
                    else if(isset($_GET['drop']))
                    {
                        //turning an athlete into inactive
                        ?>
                        <div class="container-fluid px-4 pad">
                            <form action="info_page.php?dropped=1" method="post" class="centerForm">
                                <label>Athlete First Name</label>
                                <input type="text" name="first">
                                <br>
                                <label>Athlete Last Name</label>
                                <input type="text" name="last">
                                <br>
                                <button type="submit">Drop Athlete</button>
                            </form>
                        </div>
                        <?php
                    }
                    else if(isset($_GET['sport']))
                    {
                        //entering the new athlete into the team database.
                        //Variables
                        $sport = $_GET['sport'];
                        $a_id = $_GET['a_id'];
                        $c_id = $_SESSION['id'];

                        $query = "INSERT INTO Team (SPORT, A_ID, C_ID) VALUES ('{$sport}','{$a_id}','{$c_id}')";
                        if($conn->query($query) === TRUE)
                        {
                        ?> <p style="padding-top:3.5rem;">Athlete Added!</p> <?php
                        }
                        else 
                        {
                            echo "ERROR: " . $conn . "<br>" .$conn->error;
                            echo "Please contact your Dr. Diederich if this error persists. ";
                            echo "<p><a href='info_page.php?add=1'>Try Again Here</a></p>";
                        }
                    }
                    else if(isset($_GET['dropped']))
                    {
                        //Dropping the athlete
                        //get the number of inactive athletes
                        $query = "SELECT * FROM Inactive_Data";

                        if($conn->query($query))
                        {
                            $numRows = mysqli_num_rows($conn->query($query));
                        }
                        //getting athlete id
                        //variables
                        $firstName = $_POST['first'];
                        $lastName = $_POST['last'];

                        $query = "SELECT A_ID FROM Athlete_Info WHERE A_F_Name = '{$firstName}' AND A_L_Name = '{$lastName}'";

                        $result = $conn->query($query);
                        $athlete = $result->fetch_assoc();
                        
                        $A_ID = $athlete['A_ID'];
                        $C_ID = $_SESSION['id'];

                        //moving athlete
                        $query = "SELECT * FROM Test_Data WHERE ID = '{$A_ID}'"; //Change to Athlete_Data, potentially change the variable to A_ID as well

                        $results = $conn->query($query);
                        while($row = $results->fetch_assoc())
                        {
                            $date = str_replace('-', '', $row['Date']);
                            $moveQuery = "INSERT INTO Inactive_Data (A_ID, C_ID, Date, physical, academic, perform, relation, sleep, meeting) VALUES ('{$A_ID}','{$C_ID}','{$date}','{$row['physical']}','{$row['academic']}','{$row['perform']}','{$row['relation']}','{$row['sleep']}','{$row['meeting']}')";
                            $conn->query($moveQuery);
                        }
                        //checking if the athlete has been moved
                        $query = "SELECT * FROM Inactive_Data";

                        if($conn->query($query))
                        {
                            $NEWnumRows = mysqli_num_rows($conn->query($query));
                        }
                        if($NEWnumRows > $numRows)
                        {
                            //the athlete has been moved and will now be deleted from the data table. 
                            $query = "DELETE FROM Test_Data WHERE ID = '{$A_ID}'"; //Change to Athlete_Data, potentially change the variable to A_ID as well
                            $conn->query($query);
                            ?>
                            <p style="padding-top: 5rem; text-align:center;">Athlete Removed</p>
                            <?php
                        }
                        else
                        {
                            ?>
                            <p style="padding-top: 3.5rem;">TRY AGAIN</p>
                            <?php
                        }
                    }
                    else if(isset($_GET['restore']))
                    {
                        //Coach wants to restore an athlete
                        ?>
                        <div class="container-fluid px-4 pad">
                            <form action="info_page.php?restored=1" method="post" class="centerForm">
                                <label>Athlete First Name</label>
                                <input type="text" name="first">
                                <br>
                                <label>Athlete Last Name</label>
                                <input type="text" name="last">
                                <br>
                                <button type="submit">Restore Athlete</button>
                            </form>
                        </div>
                        <?php
                    }
                    else if(isset($_GET['restored']))
                    {
                        //restoring the athlete
                        //get the number of active athletes
                        $query = "SELECT * FROM Test_Data"; //Change to Athlete_Data

                        if($conn->query($query))
                        {
                            $numRows = mysqli_num_rows($conn->query($query));
                        }
                        //getting athlete id
                        //variables
                        $firstName = $_POST['first'];
                        $lastName = $_POST['last'];

                        $query = "SELECT A_ID FROM Athlete_Info WHERE A_F_Name = '{$firstName}' AND A_L_Name = '{$lastName}'";

                        $result = $conn->query($query);
                        $athlete = $result->fetch_assoc();
                        
                        $A_ID = $athlete['A_ID'];

                        //moving athlete
                        $query = "SELECT A_ID, Date, physical, academic, perform, relation, sleep, meeting FROM Inactive_Data WHERE A_ID = '{$A_ID}'";

                        $results = $conn->query($query);
                        while($row = $results->fetch_assoc())
                        {
                            $date = str_replace('-', '', $row['Date']);
                            $moveQuery = "INSERT INTO Test_Data (ID, Date, physical, academic, perform, relation, sleep, meeting) VALUES ('{$A_ID}','{$date}','{$row['physical']}','{$row['academic']}','{$row['perform']}','{$row['relation']}','{$row['sleep']}','{$row['meeting']}')"; //Change to Athlete_Data, potentially change the variable to A_ID as well
                            $conn->query($moveQuery);
                        }
                        //checking if the athlete has been moved
                        $query = "SELECT * FROM Test_Data"; //Change to Athlete_Data

                        if($conn->query($query))
                        {
                            $NEWnumRows = mysqli_num_rows($conn->query($query));
                        }
                        if($NEWnumRows > $numRows)
                        {
                            //the athlete has been moved and will now be deleted from the data table. 
                            $query = "DELETE FROM Inactive_Data WHERE A_ID = '{$A_ID}'";
                            $conn->query($query);
                            ?>
                            <p style="padding-top: 5rem; text-align:center;">Athlete Restored!</p>
                            <?php
                        }
                        else
                        {
                            ?>
                            <p style="padding-top: 3.5rem;">TRY AGAIN</p>
                            <?php
                        }
                    }
                    else if(isset($_GET['showdata']))
                    {
                        //Show all the athlete data
                        ?>
                        <div class="container-fluid px-4">
                        <h1 class="mt-4">Student Athlete Data</h1>
                        </div>
                        <?php
                            //The coach has requested athlete data. 
                            //Variables 
                            $startdate = str_replace('-','', $_POST['startdate']); //start date, in the right format
                            $enddate = str_replace('-', '', $_POST['enddate']); //end date, in the right format
                            $physBad = 0; //athlete variable to keep track of the number of bad days in a row, for physical
                            $acadBad = 0; //athlete variable to keep track of the number of bad days in a row, for academic
                            $perfBad = 0; //athlete variable to keep track of the number of bad days in a row, for performance
                            $relaBad = 0; //athlete variable to keep track of the number of bad days in a row, for relationship
                            $sleeBad = 0; //athlete variable to keep track of the number of bad days in a row, for sleep
                            $meetingConstraint = $_POST['meeting']; //Meeting constraint
                            $who = $_POST['who']; //Who the coach wants to see
                            $what = $_POST['what']; //What the coach wants to see
                            $daysConcerning = $_POST['days']-1; //Number of days the coach wants to be as concerning
                            $urgent = 2; //urgent value
                            function checkStress(&$athleteVariable, $curStress, $type)
                            //This function checks the amount of stress that the athlete has been under. If the stress is above the threshold it will be marked. 
                            {
                                $changeIf = 0; //variable to keep track of which if statement to follow
                                $daysConcerning = $_POST['days'] - 1; //Number of days the coach wants to be as concerning
                                if($type == 'physical') //physical needs to be checked
                                {
                                    $Constraint = $_POST['physical'];
                                }
                                else if($type == 'academic') //academic needs to be checked
                                { 
                                    $Constraint = $_POST['academic'];
                                }
                                else if($type == 'perform') //performance needs to be checked and the if statement needs to be changed
                                { 
                                    $Constraint = $_POST['perform'];
                                    $changeIf = 1;
                                }
                                else if($type == 'relation') //relationship needs to be checked
                                {
                                    $Constraint = $_POST['relation'];
                                }
                                else if($type == 'sleep') //Sleep needs to be checked and the if statement needs to be changed
                                {
                                    $Constraint = $_POST['sleep'];
                                    $changeIf = 1;
                                }
                                if($changeIf == 1)
                                {
                                    //Performance and sleep is on a different scale, so i need to compare things differently. 
                                    if($athleteVariable >= $daysConcerning)
                                    {   
                                        //The number of days of high stress are greater or equal to the amount of days that are concerning
                                        if($curStress <= $Constraint)
                                        {   
                                            //the current day is high stress as well, so mark it down as red, increase variable
                                            echo '<td class="bg-danger">'.$curStress;
                                            $athleteVariable++;
                                        }
                                        else
                                        {
                                            //current day wasn't high stress so reset the variable
                                            echo '<td>'.$curStress;
                                            $athleteVariable = 0;
                                        }
                                    }
                                    else
                                    {
                                        //Less than days that are concerning
                                        if($curStress <= $Constraint)
                                        {
                                            //high stress day, mark as yellow, increase variable
                                            echo '<td class="bg-warning">'.$curStress;
                                            $athleteVariable++;
                                        }
                                        else
                                        {
                                            //low stress day, reset variable
                                            echo '<td>'.$curStress;
                                            $athleteVariable = 0;
                                        }
                                    }
                                }
                                else
                                {
                                    if($athleteVariable >= $daysConcerning)
                                    {   
                                        //The number of days of high stress are greater or equal to the amount of days that are concerning
                                        if($curStress >= $Constraint)
                                        {   
                                            //the current day is high stress as well, so mark it down as red, increase variable
                                            echo '<td class="bg-danger">'.$curStress;
                                            $athleteVariable++;
                                        }
                                        else
                                        {
                                            //current day wasn't high stress so reset the variable
                                            echo '<td>'.$curStress;
                                            $athleteVariable = 0;
                                        }
                                    }
                                    else
                                    {
                                        //Less than days that are concerning
                                        if($curStress >= $Constraint)
                                        {
                                            //high stress day, mark as yellow, increase variable
                                            echo '<td class="bg-warning">'.$curStress;
                                            $athleteVariable++;
                                        }
                                        else
                                        {
                                            //low stress day, reset variable
                                            echo '<td>'.$curStress;
                                            $athleteVariable = 0;
                                        }
                                    } 
                                }       
                                return $athleteVariable;           
                            }

                            function changeDate($Date) 
                            //This function serves to make the date more readable
                            {
                                $day = $Date % 100; //gets the day from the Date
                                //$month = strval($month);
                                $Date = $Date / 100; //makes the day into a decimal in the Date
                                $month = $Date % 100; //gets the month from the Date
                                
                                //$day = strval($day);
                                $Date = $Date / 100; //makes the month into a decimal in the Date
                                $year = $Date % 10000; //gets the year from the Date
                                
                                //$year = strval($year);
                                //$Date = $month + '/' + $day + '/' + $year;
                                //return $Date;
                                
                                echo $month.'/'.$day.'/'.$year; //puts it together in a readable way
                            }

                            //checking who
                            if($who == 'team')
                            {
                                //the coach wants to see the whole team
                                if($what == 'all')
                                {
                                    //the coach wants to see all the data.
                                    //Query to see all the players under the coach within a certain date
                                    $query = "SELECT * FROM Team JOIN Test_Data WHERE Team.A_ID = Test_Data.ID AND Test_Data.Date >= '{$startdate}' AND Test_Data.Date <= '{$enddate}' AND Team.C_ID = '{$C_ID}' ORDER BY Test_Data.ID ASC, Test_Data.Date ASC"; //Change to Athlete_Data, potentially change the variable to A_ID as well
                                    
                                    //get the results
                                    $results = $conn->query($query);
                        
                                    while($row = $results->fetch_assoc())
                                    {
                                        ?>
                                    <div class="table-responsive">
                                            <table class="table-bordered">
                                        <?php
                                        if($row['ID'] == $lastAthlete)
                                        {
                                            //same as the last athlete, so just print the data
                                            //echo $row['ID'];
                                            if($row['meeting'] == $urgent)
                                            {
                                                //urgent meeting requested
                                                ?>
                                                <!--<thead><tr><th>Date</th><th>Physical Score</th><th>Academic Score</th><th>Performance Score</th><th>Relationship Score</th><th>Hours of Sleep</th><th>Meeting</th></tr></thead>-->
                                                <tr><td class="bg-danger"><?php changeDate($row["Date"]); ?></td><?php 
                                                checkStress($physBad, $row['physical'], 'physical');
                                                ?></td><?php checkStress($acadBad, $row['academic'], 'academic'); ?></td><?php checkStress($perfBad, $row['perform'], 'perform'); ?></td><?php checkStress($relaBad, $row['relation'], 'relation'); ?></td><?php $sleeBad = 0; checkStress($sleeBad, $row["sleep"], 'sleep'); ?></td><td class="bg-danger"><?php echo "Urgent"; ?></td></tr>
                                                <?php
                                                
                                            }
                                            else if($row['meeting'] == $meetingConstraint)
                                            {
                                                //meeting requested
                                                ?>
                                                    <!--<thead><tr><th>Date</th><th>Physical Score</th><th>Academic Score</th><th>Performance Score</th><th>Relationship Score</th><th>Hours of Sleep</th><th>Meeting</th></tr></thead>-->
                                                    <tr><td class="bg-info"><?php changeDate($row["Date"]); ?></td><?php 
                                                    checkStress($physBad, $row['physical'], 'physical');
                                                    ?></td><?php checkStress($acadBad, $row['academic'], 'academic'); ?></td><?php checkStress($perfBad, $row['perform'], 'perform'); ?></td><?php checkStress($relaBad, $row['relation'], 'relation'); ?></td><?php $sleeBad = 0; checkStress($sleeBad, $row["sleep"], 'sleep'); ?></td><td class="bg-info"><?php echo "Meeting"; ?></td></tr>
                                                <?php
                                            }
                                            else
                                            {
                                                //no meeting requested
                                                ?>
                                                    <!--<thead><tr><th>Date</th><th>Physical Score</th><th>Academic Score</th><th>Performance Score</th><th>Relationship Score</th><th>Hours of Sleep</th><th>Meeting</th></tr></thead>-->
                                                    <tr><td><?php changeDate($row["Date"]); ?></td><?php checkStress($physBad, $row['physical'], 'physical'); ?></td><?php checkStress($acadBad, $row['academic'], 'academic'); ?></td><?php checkStress($perfBad, $row['perform'], 'perform'); ?></td><?php checkStress($relaBad, $row['relation'], 'relation'); ?></td><?php checkStress($sleeBad, $row["sleep"], 'sleep'); ?></td><td><?php echo "None"; ?></td></tr>
                                                <?php
                                            }
                                            $lastAthlete = $row['ID'];
                                        }
                                        else
                                        {
                                            //new athlete, so make a new header, and reset athlete variables
                                            $physBad = 0;
                                            if($row['meeting'] == $urgent)
                                            {
                                                //urgent meeting requested
                                                ?>
                                                </table><table class="table-bordered"><tr><th>ID</th><td class="table-danger"><?php echo $row['ID']; ?></td></tr>
                                                <tr><th>Date</th><th>Physical Score</th><th>Academic Score</th><th>Performance Score</th><th>Relationship Score</th><th>Hours of Sleep</th><th>Meeting</th></tr>
                                                <tr><td class="bg-danger"><?php changeDate($row["Date"]); ?></td><?php
                                                $physBad = 0;
                                                checkStress($physBad, $row['physical'], 'physical');
                                                ?></td><?php $acadBad = 0; checkStress($acadBad, $row['academic'], 'academic'); ?></td><?php $perfBad = 0; checkStress($perfBad, $row['perform'], 'perform'); ?></td><?php $relaBad = 0; checkStress($relaBad, $row['relation'], 'relation'); ?></td><?php $sleeBad = 0; checkStress($sleeBad, $row["sleep"], 'sleep'); ?></td><td class="bg-danger"><?php echo "Urgent"; ?></td></tr>
                                                <?php
                                            
                                            }
                                            else if($row['meeting'] == $meetingConstraint)
                                            {
                                                //meeting requested
                                                ?>
                                                </table><table class="table-bordered"><tr><th>ID</th><td><?php echo $row['ID']; ?></td></tr>
                                                <tr><th>Date</th><th>Physical Score</th><th>Academic Score</th><th>Performance Score</th><th>Relationship Score</th><th>Hours of Sleep</th><th>Meeting</th></tr>
                                                <tr><td class="bg-info"><?php changeDate($row["Date"]); ?></td><?php
                                                $physBad = 0;
                                                checkStress($physBad, $row['physical'], 'physical');
                                                ?></td><?php $acadBad = 0; checkStress($acadBad, $row['academic'], 'academic'); ?></td><?php $perfBad = 0; checkStress($perfBad, $row['perform'], 'perform'); ?></td><?php $relaBad = 0; checkStress($relaBad, $row['relation'], 'relation'); ?></td><?php checkStress($sleeBad, $row["sleep"], 'sleep'); ?></td><td class="bg-info"><?php echo "Meeting"; ?></td></tr>
                                                <?php
                                            }
                                            else
                                            {
                                                //no meeting requested
                                                ?>
                                                    </table><table class="table-bordered"><tr><th>ID</th><td><?php echo $row['ID']; ?></td></tr>
                                                    <tr><th>Date</th><th>Physical Score</th><th>Academic Score</th><th>Performance Score</th><th>Relationship Score</th><th>Hours of Sleep</th><th>Meeting</th></tr>
                                                    <tr><td><?php changeDate($row["Date"]); ?></td><?php
                                                    $physBad = 0;
                                                    checkStress($physBad, $row['physical'], 'physical');
                                                    ?></td><?php $acadBad = 0; checkStress($acadBad, $row['academic'], 'academic'); ?></td><?php $perfBad = 0; checkStress($perfBad, $row['perform'], 'perform'); ?></td><?php $relaBad = 0; checkStress($relaBad, $row['relation'], 'relation'); ?></td><?php $sleeBad = 0; checkStress($sleeBad, $row["sleep"], 'sleep'); ?></td><td><?php echo "None"; ?></td></tr>
                                                <?php
                                            }
                                            $lastAthlete = $row['ID'];
                                        }
                                    }
                                }
                                else
                                {
                                    //The coach wanted to see averages for the players, but the query only works for one player at a time.
                                    echo '<p>You can only get the averages of a single player at a time</p>';
                                    echo "<p><a href='info_page.php?welcome=1'>Try Again Here</a></p>";
                                }
                                
                            }
                            else //Coach wants to see an individual player
                            {
                                if(!isset($_SESSION['multiQuery']))
                                {
                                    $_SESSION['multiQuery'] = array();
                                }
                                //the coach wants to see an individual player
                                $athlete = $_POST['indiv']; //get the athlete desired
                                $athlete = strtolower($athlete); //make sure its lowercase
                                if($what == 'averages')
                                {
                                    //The coach wants to see a specific player, but wants to see their averages
                                    //query to get the averages
                                    $query = "SELECT Test_Data.ID, AVG(Test_Data.physical), AVG(Test_Data.academic), AVG(Test_Data.perform), AVG(Test_Data.relation), AVG(Test_Data.sleep), Test_Data.meeting FROM Team JOIN Test_Data WHERE Team.A_ID = Test_Data.ID AND Test_Data.Date >= '{$startdate}' AND Test_Data.Date <= '{$enddate}' AND Team.C_ID = '{$C_ID}'AND Test_Data.ID = '{$athlete}' ORDER BY Test_Data.ID ASC, Test_Data.Date ASC"; //Change to Athlete_Data, potentially change the variable to A_ID as well
                        
                                    $results = $conn->query($query);
                        
                                    while($row = $results->fetch_assoc())
                                    {
                                        ?>
                                    <div class="table-responsive">
                                            <table class="table-bordered">
                                                <tr><th>ID</th><td><?php echo $row['ID']; ?></td></tr>
                                                <tr><th>Physical Score</th><th>Academic Score</th><th>Performance Score</th><th>Relationship Score</th><th>Hours of Sleep</th></tr>
                                                <tr><td><?php echo $row["AVG(Test_Data.physical)"]; ?></td><td><?php echo $row["AVG(Test_Data.academic)"]; ?></td><td><?php echo $row["AVG(Test_Data.perform)"]; ?></td><td><?php echo $row["AVG(Test_Data.relation)"]; ?></td><td><?php echo $row["AVG(Test_Data.sleep)"]; ?></td></tr>
                                                <?php
                                    }
                                    foreach ($_SESSION['multiQuery'] as $key=>$value)
                                    {
                                        //print out all the players requested
                                        //echo $value."<br>";
                                        //echo 'The value of $_SESSION['."'".$key."'".'] is '."'".$value."'".' <br />';
                                        $query = $value;

                                        $results = $conn->query($query);
                            
                                        while($row = $results->fetch_assoc())
                                        {
                                            ?>
                                        <div class="table-responsive">
                                                <table class="table-bordered">
                                                    <tr><th>ID</th><td><?php echo $row['ID']; ?></td></tr>
                                                    <tr><th>Physical Score</th><th>Academic Score</th><th>Performance Score</th><th>Relationship Score</th><th>Hours of Sleep</th></tr>
                                                    <tr><td><?php echo $row["AVG(Test_Data.physical)"]; ?></td><td><?php echo $row["AVG(Test_Data.academic)"]; ?></td><td><?php echo $row["AVG(Test_Data.perform)"]; ?></td><td><?php echo $row["AVG(Test_Data.relation)"]; ?></td><td><?php echo $row["AVG(Test_Data.sleep)"]; ?></td></tr>
                                                    <?php
                                        }
                                    }
                                    array_push($_SESSION['multiQuery'], $query);
                                }
                                else
                                {
                                    //The coach wants to see a specific player, but wants to see all the data
                                    $query = "SELECT * FROM Team JOIN Test_Data WHERE Team.A_ID = Test_Data.ID AND Test_Data.Date >= '{$startdate}' AND Test_Data.Date <= '{$enddate}' AND Team.C_ID = '{$C_ID}' AND Test_Data.ID = '{$athlete}' ORDER BY Test_Data.ID ASC, Test_Data.Date ASC"; //Change to Athlete_Data, potentially change the variable to A_ID as well
                            
                                    $results = $conn->query($query);
                        
                                    while($row = $results->fetch_assoc())
                                    {
                                        ?>
                                    <div class="table-responsive">
                                            <table class="table-bordered">
                                        <?php
                                        if($row['meeting'] == $urgent)
                                        {
                                            //urgent meeting requested
                                            if($row['ID'] == $lastAthlete)
                                            {
                                                //print data as it is the same as the last athlete
                                                ?>
                                                    <!--<thead><tr><th>Date</th><th>Physical Score</th><th>Academic Score</th><th>Performance Score</th><th>Relationship Score</th><th>Hours of Sleep</th><th>Meeting</th></tr></thead>-->
                                                    <tr><td class="bg-danger"><?php changeDate($row["Date"]); ?></td><?php checkStress($physBad, $row['physical'], 'physical'); ?></td><?php checkStress($acadBad, $row['academic'], 'academic'); ?></td><?php checkStress($perfBad, $row['perform'], 'perform'); ?></td><?php checkStress($relaBad, $row['relation'], 'relation'); ?></td><?php checkStress($sleeBad, $row["sleep"], 'sleep'); ?></td><td class="bg-danger"><?php echo "Urgent"; ?></td></tr>
                                                <?php
                                            }
                                            else
                                            {
                                                //print a header because it is a new athlete
                                                ?>
                                                    </table><table class="table-bordered"><tr><th>ID</th><td><?php echo $row['ID']; ?></td></tr>
                                                    <tr><th>Date</th><th>Physical Score</th><th>Academic Score</th><th>Performance Score</th><th>Relationship Score</th><th>Hours of Sleep</th><th>Meeting</th></tr>
                                                    <tr><td class="bg-danger"><?php changeDate($row["Date"]); ?></td><?php $physBad = 0; checkStress($physBad, $row['physical'], 'physical'); ?></td><?php $acadBad = 0; checkStress($acadBad, $row['academic'], 'academic'); ?></td><?php $perfBad = 0; checkStress($perfBad, $row['perform'], 'perform'); ?></td><?php $relaBad = 0; checkStress($relaBad, $row['relation'], 'relation'); ?></td><?php $sleeBad = 0; checkStress($sleeBad, $row["sleep"], 'sleep');?></td><td class="bg-danger"><?php echo "Urgent"; ?></td></tr>
                                                <?php
                                            }
                                            $lastAthlete = $row['ID'];
                                            
                                        }
                                        else if($row['meeting'] == $meetingConstraint)
                                        {
                                            //meeting reqeusted
                                            //echo $row['ID'];
                                            if($row['ID'] == $lastAthlete)
                                            {
                                                //same as last athlete so print the data
                                                ?>
                                                    <!--<thead><tr><th>Date</th><th>Physical Score</th><th>Academic Score</th><th>Performance Score</th><th>Relationship Score</th><th>Hours of Sleep</th><th>Meeting</th></tr></thead>-->
                                                    <tr><td class="bg-info"><?php changeDate($row["Date"]); ?></td><?php checkStress($physBad, $row['physical'], 'physical'); ?></td><?php checkStress($acadBad, $row['academic'], 'academic'); ?></td><?php checkStress($perfBad, $row['perform'], 'perform'); ?></td><?php checkStress($relaBad, $row['relation'], 'relation'); ?></td><?php checkStress($sleeBad, $row["sleep"], 'sleep'); ?></td><td class="bg-info"><?php echo "Meeting"; ?></td></tr>
                                                <?php
                                            }
                                            else
                                            {
                                                //print a header because it is a new ahtlete
                                                ?>
                                                    </table><table class="table-bordered"><tr><th>ID</th><td><?php echo $row['ID']; ?></td></tr>
                                                    <tr><th>Date</th><th>Physical Score</th><th>Academic Score</th><th>Performance Score</th><th>Relationship Score</th><th>Hours of Sleep</th><th>Meeting</th></tr>
                                                    <tr><td class="bg-info"><?php changeDate($row["Date"]); ?></td><?php $physBad = 0; checkStress($physBad, $row['physical'], 'physical'); ?></td><?php $acadBad = 0; checkStress($acadBad, $row['academic'], 'academic'); ?></td><?php $perfBad = 0; checkStress($perfBad, $row['perform'], 'perform'); ?></td><?php $relaBad = 0; checkStress($relaBad, $row['relation'], 'relation'); ?></td><?php $sleeBad = 0; checkStress($sleeBad, $row["sleep"], 'sleep'); ?></td><td class="bg-info"><?php echo "Meeting"; ?></td></tr>
                                                <?php
                                            }
                                            $lastAthlete = $row['ID'];
                                        }
                                        else
                                        {
                                            //no meeting requested
                                            //echo $row['ID'];
                                            if($row['ID'] == $lastAthlete)
                                            {
                                                //same as last athlete so print the data
                                                ?>
                                                    <!--<thead><tr><th>Date</th><th>Physical Score</th><th>Academic Score</th><th>Performance Score</th><th>Relationship Score</th><th>Hours of Sleep</th><th>Meeting</th></tr></thead>-->
                                                    <tr><td><?php changeDate($row["Date"]); ?></td><?php checkStress($physBad, $row["physical"], 'physical'); ?></td><?php checkStress($acadBad, $row["academic"], 'academic'); ?></td><?php checkStress($perfBad, $row["perform"], 'perform'); ?></td><?php checkStress($relaBad, $row["relation"], 'relation'); ?></td><?php checkStress($sleeBad, $row["sleep"], 'sleep'); ?></td><td><?php echo "None"; ?></td></tr>
                                                <?php
                                            }
                                            else
                                            {
                                                //print a header because it is a new athlete
                                                ?>
                                                    </table><table class="table-bordered"><tr><th>ID</th><td><?php echo $row['ID']; ?></td></tr>
                                                    <tr><th>Date</th><th>Physical Score</th><th>Academic Score</th><th>Performance Score</th><th>Relationship Score</th><th>Hours of Sleep</th><th>Meeting</th></tr>
                                                    <tr><td><?php changeDate($row["Date"]); ?></td><?php $physBad = 0; checkStress($physBad, $row["physical"], 'physical'); ?></td><?php $acadBad = 0; checkStress($acadBad, $row["academic"], 'academic'); ?></td><?php $perfBad = 0; checkStress($perfBad, $row["perform"], 'perform'); ?></td><?php $relaBad = 0; checkStress($relaBad, $row["relation"], 'relation'); ?></td><?php $sleeBad = 0; checkStress($sleeBad, $row["sleep"], 'sleep'); ?></td><td><?php echo "None"; ?></td></tr>
                                                <?php
                                            }
                                            $lastAthlete = $row['ID'];
                                        }
                                    }
                                }
                                /*foreach ($_SESSION['multiQuery'] as $key=>$value)
                                {
                                    //echo $value."<br>";
                                    //echo 'The value of $_SESSION['."'".$key."'".'] is '."'".$value."'".' <br />';

                                }*/
                            }
                        }?>
                </main>
            </div>
        </div>
        
        <script src="scripts.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.js" crossorigin="anonymous"></script>
<?php
}
else
{
    //coach is not signed in. redirect them to the login page.
    header("Location: coach_index.php?error=You are not logged in.");
}
?>
    </body>
</html>