<!--Main PHP file for the Athlete Survey written by Joseph Davy-->
<?php
	$servername = "diederich.knight.domains"; //the name of the server
	$username = "diederic_davyjr"; //my username
	$password = "Kitty101!?"; //the password for the database
	$dbname = "diederic_StudentAthleteData"; //the database name
	$tableName = "Test_Data"; //the name of the current table. Test_Data holds the test data, but Athlete_Data will hold the real data.
	
	// Create connection
	$conn = new mysqli($servername, $username, $password, $dbname);
	// Check connection
	if ($conn->connect_error) 
	{
	  exit("Connection failed: " . $conn->connect_error);
	}

	if(isset($_GET['check'])) //if check is in the URL then the Athlete has hit submit
	{
		$physical = $_POST['physical']; //physical score from the survey
		$academic = $_POST['academic']; //academic score from the survey
		$perform = $_POST['perform']; //performace score from the survey
		$relation = $_POST['relation']; //relationship score from the survey
		$sleep = $_POST['sleep']; //hours slept from the survey
		$meeting = $_POST['meeting']; //meeting value from the survey
		$id = $_POST['id']; //id from the survey
		$id = strtolower($id); //make sure its lowercase
		$id = trim($id); //trim any spaces from the id
		
		//Query to see if they are in the Athlete_Info table
		$query = "SELECT * FROM Athlete_Info WHERE A_ID = '{$id}'";
		$result = $conn->query($query);

		if($result->num_rows == 0) //check to see if the survey has been filled out.
		{
			//echo '<script type="text/javascript"> alert("Please fill out the entire survey before submitting"); </script>'; //alert the athlete to fill out the page, then loads the survey again
			
			
				//the athlete isn't registered and the register page will be loaded
				header("Location: register.php?player=".$id);
				//header("Location: athlete_survey.php?thank=1");
			
		}
		else
		{
			$today = date("Ymd"); //todays date
			//Query to insert the data into the database
			//Test_Data uses ID and has the sample data. Athlete_Data uses A_ID and has the real data
			$query = "INSERT INTO Test_Data (ID, Date, physical, academic, perform, relation, sleep, meeting) VALUES ('{$id}','{$today}','{$physical}', '{$academic}', '{$perform}', '{$relation}', '{$sleep}','{$meeting}')"; //'{$physical}', '{$academic}', '{$perform}', '{$relation}', '{$sleep}','{$meeting}'
			
			//Send the data
			if($conn->query($query) === TRUE)//if the data is sent
			{
				header("Location: athlete_survey.php?thank=1");
			}
			else 
			{
				//an error has occured
				echo "ERROR: " . $conn . "<br>" .$conn->error;
				echo "Please contact your coach if this error persists. ";
				echo "<p><a href='athlete_survey.php'>Try Again Here</a></p>";
			}

			//Close connection
			$conn->close();
		}
	}
	if(isset($_GET['thank'])) //if thank is in the URL then the athlete has filled the survey and they are registered
	{
		echo 'Thank you for filling out the survey!';
	}
	else //nothing in the URL(or the survey hasn't been filled out) so the survey will be loaded
	{	
?>
<html>
<title> Survey </title>
<header>
	<!--My style sheet-->
<link href="athlete_survey.css" rel="stylesheet" type="text/css">
<!-- Bootstrap links -->
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
<!-- End of Bootstrap links -->

<!-- jQuery links -->
<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script> 
<!-- End of jQuery links -->
<!--Resizing the Screen-->
<meta name="viewport" content="width=device-width, height=device-height, initial-scale=1">
<script>
	const resizeOps = () => {
    document.documentElement.style.setProperty("--vh", window.innerHeight * 0.01 + "px");
  };

  resizeOps();
  window.addEventListener("resize", resizeOps);
</script>

</header>

<body class = "ft">
<!--Actual Webpage-->

<!--Survey Form-->

	<div class="container-fluid">
		<div class="row flex-grow-1">
			<div class="col-xs-0 col-sm-2 col-lg-2"></div>
			<div class="col-xs-12 col-sm-8 col-lg-8">
				<p>
					<!--Top of the page-->
					<center><h1><b>Student Athlete Survey</b></h1></center>
				</p>
				<!--Hint description-->
					<p><center> Having trouble answering the question? click the <button>?</button> </center></p>
			</div>
			<div class="col-xs-0 col-sm-2 col-lg-2"></div>
		</div>
		<div class="row flex-grow-1">
			<div class="col-xs-0 col-sm-2 col-lg-2"></div>
			<div class="col-xs-12 col-sm-8 col-lg-8">
				<!--Start of the survey form-->
				<form name="survey" id="survey" action="athlete_survey.php?check=1" method="post" onsubmit="return check()"> <!--onsubmit="check()"-->
				<!--ID-->
				<p>
				Please enter your 6-letter id <input type="text" name="id" id="id" value=""/>
				</p>
			</div>
			<div class="col-xs-0 col-sm-2 col-lg-2"></div>
		</div>
		<div class="row">
			<div class="col-xs-0 col-sm-2 col-lg-2"></div>
			<div class="col-xs-12 col-sm-8 col-lg-8">
			<!--Question 1, physical-->
			How physically stressed are you feeling today <button type="button" id="phys">? </button>
			<p>
				
				<div class="form-check-inline">
					<div class="radio">
					(low)
					<input type="radio" name="physical" value="1" id="phys1"/>
					<label for="phys1" class="form-check-label">
					1</label>

							
					<input type="radio" name="physical" value="2" id="phys2"/>
					<label for="phys2" class="form-check-label">
					2 </label>
						
							
					<input type="radio" name="physical" value="3" id="phys3"/>
					<label for="phys3" class="form-check-label">
					3 </label>
					
							
					<input type="radio" name="physical" value="4" id="phys4"/>
					<label for="phys4" class="form-check-label">
					4 </label>
						
							
					<input type="radio" name="physical" value="5" id="phys5"/>
					<label for="phys5" class="form-check-label">
					5</label>
					(high)
					</div>
				</div>
			
					
				</p>
			</div>
			<div class="col-xs-0 col-sm-2 col-lg-2"></div>
		</div>
		<div class="row  flex-grow-1">
			<div class="col-xs-0 col-sm-2 col-lg-2"></div>
			<div class="col-xs-12 col-sm-8 col-lg-8">
				<!--Question 2, academic-->
				How academically stressed are you feeling today <button type="button" id="acad">? </button>
				<p> 
					<div class="form-check-inline">
						<div class="radio">
						(low)
						
							<input type="radio" name="academic" value="1" id="acad1"/>
							<label for="acad1" class="form-check-label">1</label>
						
							<input type="radio" name="academic" value="2" id="acad2"/>
							<label for="acad2" class="form-check-label">2</label>
						
							<input type="radio" name="academic" value="3" id="acad3"/>
							<label for="acad3" class="form-check-label">3</label>
						
							<input type="radio" name="academic" value="4" id="acad4"/>
							<label for="acad4" class="form-check-label">4</label>
						
							<input type="radio" name="academic" value="5" id="acad5"/>
							<label for="acad5" class="form-check-label">5</label>
						
						(high)
					</div>
					</div>
				</p>
			</div>
			<div class="col-xs-0 col-sm-2 col-lg-2"></div>
		</div>
		<div class="row  flex-grow-1">
			<div class="col-xs-0 col-sm-2 col-lg-2"></div>
			<div class="col-xs-12 col-sm-8 col-lg-8">
				<!--Question 3, performance-->
				How are you performing in your sport <button type="button" id="perf">? </button>
				<p> 
					<div class="form-check-inline">
						<div class="radio">
						(poorly)
						
							<input type="radio" name="perform" value="1" id="perf1"/>
							<label for="perf1" class="form-check-label">1</label>
						
							<input type="radio" name="perform" value="2" id="perf2"/>
							<label for="perf2" class="form-check-label">2</label>
						
							<input type="radio" name="perform" value="3" id="perf3"/>
							<label for="perf3" class="form-check-label">3</label>
						
							<input type="radio" name="perform" value="4" id="perf4"/> 
							<label for="perf4" class="form-check-label">4</label>
						
							<input type="radio" name="perform" value="5" id="perf5"/>
							<label for="perf5" class="form-check-label">5</label>
						(well)
					</div>
					</div>
				</p>
			</div>
			<div class="col-xs-0 col-sm-2 col-lg-2"></div>
		</div>
		<div class="row flex-grow-1">
			<div class="col-xs-0 col-sm-2 col-lg-2"></div>
			<div class="col-xs-12 col-sm-8 col-lg-8">
				<!--Question 4, relationship-->
				How much are your relationships stressing you out <button type="button" id="rela">? </button>
				<p> 
					<div class="form-check-inline">
						<div class="radio">
						(low)
						
							<input type="radio" name="relation" value="1" id="rela1"/>
							<label for="rela1" class="form-check-label">1</label> 
						
							<input type="radio" name="relation" value="2" id="rela2"/>
							<label for="rela2" class="form-check-label">2</label>
						
							<input type="radio" name="relation" value="3" id="rela3"/> 
							<label for="rela3" class="form-check-label">3</label>
						
							<input type="radio" name="relation" value="4" id="rela4"/> 
							<label for="rela4" class="form-check-label">4</label>
						
							<input type="radio" name="relation" value="5" id="rela5"/> 
							<label for="rela5" class="form-check-label">5</label>
						(high)
					</div>
					</div>
				</p>
			</div>
			<div class="col-xs-0 col-sm-2 col-lg-2"></div>
		</div>
		<div class="row flex-grow-1">
			<div class="col-xs-0 col-sm-2 col-lg-2"></div>
			<div class="col-xs-12 col-sm-8 col-lg-8">
				<!--Question 5, Hours Slept-->
				How long did you sleep last night <button type="button" id="slee">? </button>
				<p>
				<div class="slidecontainer">
					<input type="range" min="1" max="16" value="8" step="0.5" id="sleep" name="sleep" class="slider">
					<p>Hours: <span id="hours"></span></p>
				</div>
				</p>
			</div>
			<div class="col-xs-0 col-sm-2 col-lg-2"></div>
		</div>
		<div class="row flex-grow-1">
			<div class="col-xs-0 col-sm-2 col-lg-2"></div>
			<div class="col-xs-12 col-sm-8 col-lg-8">
				<!--Question 6, Meeting-->
				Would you like a meeting with your coach <button type="button" id="meet">? </button>
				<p> 
					<div class="form-check-inline">
						<div class="radio">
						
							<input type="radio" name="meeting" value="2" id="urgent"/>
							<label for="urgent" class="form-check-label">Urgent</label>

							<input type="radio" name="meeting" value="1" id="yes"/>
							<label for="yes" class="form-check-label">Yes</label>
						
							<input type="radio" name="meeting" value="0" id="no"/>
							<label for="no" class="form-check-label">No</label>
						</div>
					</div>
				</p>
				</div>
				<div class="col-xs-0 col-sm-2 col-lg-2"></div>
		</div>
				<p> 
					<input type="submit" value="Submit"/>
				</p>
				</form>
				<!--Survey Form End-->
			</div>
	</div>
</body>
<!--Javascript-->
<script src="athlete_survey.js">
</script>
</html>
<?php } ?>